Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mri.v3ds
Class Face3ds

    java.lang.Object
      mri.v3ds.Face3ds

    public class Face3ds

extends java.lang.Object

Face definition for a single triangle.
The face definition contains three parameters (`P0, P1, P2`) which identify the three corners of a triangle. `P0, P1` and `P2` are simply indexes into the vertex and texture mapping arrays (accessible from the `Mesh3ds` class). A face also contains the `Flag` parameter which is a bitfield holding edge visibility and texture wrapping flags.

Field Summary
`static int` | `AB_VISIBLE` Bitmask for Flags parameter.
`static int` | `BC_VISIBLE` Bitmask for Flags parameter.
`static int` | `CA_VISIBLE` Bitmask for Flags parameter.
`int` | `Flags` Edge visibility and texture wrapping flags.
`int` | `P0` P0 index into vertex and texture mapping arrays.
`int` | `P1` P1 index into vertex and texture mapping arrays.
`int` | `P2` P2 index into vertex and texture mapping arrays.
`static int` | `U_WRAP` Bitmask for Flags parameter.
`static int` | `V_WRAP` Bitmask for Flags parameter.

Constructor Summary
`Face3ds(int p0, int p1, int p2, int flags)` Constructor, initialising the (P0,P1,P2,Flags) parameters.

Method Summary
`java.lang.String` | `toString()` Returns a String object representing this Face3ds's value.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### AB_VISIBLE

    public static final int AB_VISIBLE

  Bitmask for Flags parameter. If the flag is set, it means that the edge between P0 and P1 is visible.

  See Also:
    Constant Field Values

### BC_VISIBLE

    public static final int BC_VISIBLE

  Bitmask for Flags parameter. If the flag is set, it means that the edge between P1 and P2 is visible.

  See Also:
    Constant Field Values

### CA_VISIBLE

    public static final int CA_VISIBLE

  Bitmask for Flags parameter. If the flag is set, it means that the edge between P2 and P0 is visible.

  See Also:
    Constant Field Values

### U_WRAP

    public static final int U_WRAP

  Bitmask for Flags parameter. If the flag is set, it means that the texture may have a wrap in the U direction. Actual wrapping has to be derermined using a heuristic method.

  See Also:
    Constant Field Values

### V_WRAP

    public static final int V_WRAP

  Bitmask for Flags parameter. If the flag is set, it means that the texture may have a wrap in the V direction. Actual wrapping has to be derermined using a heuristic method.

  See Also:
    Constant Field Values

### P0

    public int P0

  P0 index into vertex and texture mapping arrays.

### P1

    public int P1

  P1 index into vertex and texture mapping arrays.

### P2

    public int P2

  P2 index into vertex and texture mapping arrays.

### Flags

    public int Flags

  Edge visibility and texture wrapping flags. Use the constants: AB_VISIBLE, BC_VISIBLE, CA_VISIBLE, U_WRAP and V_WRAP as bitmasks to access the flags.

Constructor Detail

### Face3ds

    public Face3ds(int p0,
                   int p1,
                   int p2,
                   int flags)

  Constructor, initialising the (P0,P1,P2,Flags) parameters.

Method Detail

### toString

    public java.lang.String toString()

  Returns a String object representing this Face3ds's value.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD